Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionSpinBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionSpinBox

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionSpinBox

extends QStyleOptionComplex
implements java.lang.Cloneable

The `QStyleOptionSpinBox` class is used to describe the parameters necessary for drawing a spin box. `QStyleOptionSpinBox` contains all the information that `QStyle` functions need to draw `QSpinBox` and `QDateTimeEdit`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, and `QStyleOptionComplex`.

Nested Class Summary
`static class` | `QStyleOptionSpinBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionSpinBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionSpinBox()` Constructs a `QStyleOptionSpinBox`, initializing the members variables to their default values.
`QStyleOptionSpinBox(QStyleOptionSpinBox other)` Constructs a copy of the `other` style option.

Method Summary
`QAbstractSpinBox.ButtonSymbols` | `buttonSymbols()` This variable holds the type of button symbols to draw for the spin box.
`QStyleOptionSpinBox` | `clone()` This method is reimplemented for internal reasons
`boolean` | `frame()` This variable holds whether the spin box has a frame.
`static QStyleOptionSpinBox` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionSpinBox instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QStyleOptionSpinBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionSpinBox array.
`void` | `setButtonSymbols(QAbstractSpinBox.ButtonSymbols buttonSymbols)` This variable holds the type of button symbols to draw for the spin box.
`void` | `setFrame(boolean frame)` This variable holds whether the spin box has a frame.
`void` | `setStepEnabled(QAbstractSpinBox.StepEnabled stepEnabled)` This variable holds which buttons of the spin box that are enabled.
`QAbstractSpinBox.StepEnabled` | `stepEnabled()` This variable holds which buttons of the spin box that are enabled.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionSpinBox

    public QStyleOptionSpinBox()

  Constructs a `QStyleOptionSpinBox`, initializing the members variables to their default values.

### QStyleOptionSpinBox

    public QStyleOptionSpinBox(QStyleOptionSpinBox other)

  Constructs a copy of the `other` style option.

Method Detail

### setStepEnabled

    public final void setStepEnabled(QAbstractSpinBox.StepEnabled stepEnabled)

  This variable holds which buttons of the spin box that are enabled. The default value is `QAbstractSpinBox::StepNone` .

See also:
  QAbstractSpinBox::StepEnabled.

### stepEnabled

    public final QAbstractSpinBox.StepEnabled stepEnabled()

  This variable holds which buttons of the spin box that are enabled. The default value is `QAbstractSpinBox::StepNone` .

See also:
  QAbstractSpinBox::StepEnabled.

### setButtonSymbols

    public final void setButtonSymbols(QAbstractSpinBox.ButtonSymbols buttonSymbols)

  This variable holds the type of button symbols to draw for the spin box. The default value is `QAbstractSpinBox::UpDownArrows` specufying little arrows in the classic style.

See also:
  `QAbstractSpinBox::ButtonSymbols` .

### buttonSymbols

    public final QAbstractSpinBox.ButtonSymbols buttonSymbols()

  This variable holds the type of button symbols to draw for the spin box. The default value is `QAbstractSpinBox::UpDownArrows` specufying little arrows in the classic style.

See also:
  `QAbstractSpinBox::ButtonSymbols` .

### setFrame

    public final void setFrame(boolean frame)

  This variable holds whether the spin box has a frame. The default value is false, i.e. the spin box has no frame.

### frame

    public final boolean frame()

  This variable holds whether the spin box has a frame. The default value is false, i.e. the spin box has no frame.

### fromNativePointer

    public static QStyleOptionSpinBox fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionSpinBox instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionSpinBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionSpinBox array.

### clone

    public QStyleOptionSpinBox clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD